Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.proxy.scriptaculous
Class Effect

    java.lang.Object
      org.directwebremoting.proxy.ScriptProxy
          org.directwebremoting.proxy.scriptaculous.Effect

    public class Effect

extends ScriptProxy

A server side proxy the the Scriptaculous Effect class

Author:
  Joe Walker [joe at getahead dot ltd dot uk], Mitch Gorman

Constructor Summary
`Effect()` Http thread constructor, that affects no browsers.
`Effect(java.util.Collection scriptSessions)` Http thread constructor that alters a number of browsers
`Effect(ScriptSession scriptSession)` Http thread constructor that alters a single browser

Method Summary
`void` | `appear(java.lang.String elementId)` Call the script.aculo.us `Effect.appear()` function.
`void` | `appear(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Appear()` function.
`void` | `blindDown(java.lang.String elementId)` Call the script.aculo.us `Effect.blindDown()` function.
`void` | `blindDown(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.BlindDown()` function.
`void` | `blindUp(java.lang.String elementId)` Call the script.aculo.us `Effect.blindUp()` function.
`void` | `blindUp(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.BlindUp()` function.
`void` | `dropOut(java.lang.String elementId)` Call the script.aculo.us `Effect.dropOut()` function.
`void` | `dropOut(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.DropOut()` function.
`void` | `fade(java.lang.String elementId)` Call the script.aculo.us `Effect.fade()` function.
`void` | `fade(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Fade()` function.
`void` | `fold(java.lang.String elementId)` Call the script.aculo.us `Effect.fold()` function.
`void` | `fold(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Fold()` function.
`void` | `grow(java.lang.String elementId)` Call the script.aculo.us `Effect.grow()` function.
`void` | `grow(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Grow()` function.
`void` | `highlight(java.lang.String elementId)` Call the script.aculo.us `Effect.Highlight()` function.
`void` | `highlight(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Highlight()` function.
`void` | `puff(java.lang.String elementId)` Call the script.aculo.us `Effect.puff()` function.
`void` | `puff(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Puff()` function.
`void` | `pulsate(java.lang.String elementId)` Call the script.aculo.us `Effect.pulsate()` function.
`void` | `pulsate(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Pulsate()` function.
`void` | `shake(java.lang.String elementId)` Call the script.aculo.us `Effect.shake()` function.
`void` | `shake(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Shake()` function.
`void` | `shrink(java.lang.String elementId)` Call the script.aculo.us `Effect.shrink()` function.
`void` | `shrink(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Shrink()` function.
`void` | `slideDown(java.lang.String elementId)` Call the script.aculo.us `Effect.slideDown()` function.
`void` | `slideDown(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.SlideDown()` function.
`void` | `slideUp(java.lang.String elementId)` Call the script.aculo.us `Effect.slideUp()` function.
`void` | `slideUp(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.SlideUp()` function.
`void` | `squish(java.lang.String elementId)` Call the script.aculo.us `Effect.squish()` function.
`void` | `squish(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.Squish()` function.
`void` | `switchOff(java.lang.String elementId)` Call the script.aculo.us `Effect.switchOff()` function.
`void` | `switchOff(java.lang.String elementId, java.lang.String options)` Call the script.aculo.us `Effect.SwitchOff()` function.

Methods inherited from class org.directwebremoting.proxy.ScriptProxy
`addFunctionCall, addFunctionCall, addFunctionCall, addFunctionCall, addFunctionCall, addFunctionCall, addScript, addScriptSession, addScriptSessions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Effect

    public Effect()

  Http thread constructor, that affects no browsers. Calls to `ScriptProxy.addScriptSession(ScriptSession)` or to `ScriptProxy.addScriptSessions(Collection)` will be needed

### Effect

    public Effect(ScriptSession scriptSession)

  Http thread constructor that alters a single browser

  Parameters:
    `scriptSession` - The browser to alter

### Effect

    public Effect(java.util.Collection scriptSessions)

  Http thread constructor that alters a number of browsers

  Parameters:
    `scriptSessions` - A collection of ScriptSessions that we should act on.

Method Detail

### fade

    public void fade(java.lang.String elementId)

  Call the script.aculo.us `Effect.fade()` function.

  Parameters:
    `elementId` - The element to effect

### appear

    public void appear(java.lang.String elementId)

  Call the script.aculo.us `Effect.appear()` function.

  Parameters:
    `elementId` - The element to effect

### puff

    public void puff(java.lang.String elementId)

  Call the script.aculo.us `Effect.puff()` function.

  Parameters:
    `elementId` - The element to effect

### blindUp

    public void blindUp(java.lang.String elementId)

  Call the script.aculo.us `Effect.blindUp()` function.

  Parameters:
    `elementId` - The element to effect

### blindDown

    public void blindDown(java.lang.String elementId)

  Call the script.aculo.us `Effect.blindDown()` function.

  Parameters:
    `elementId` - The element to effect

### switchOff

    public void switchOff(java.lang.String elementId)

  Call the script.aculo.us `Effect.switchOff()` function.

  Parameters:
    `elementId` - The element to effect

### dropOut

    public void dropOut(java.lang.String elementId)

  Call the script.aculo.us `Effect.dropOut()` function.

  Parameters:
    `elementId` - The element to effect

### shake

    public void shake(java.lang.String elementId)

  Call the script.aculo.us `Effect.shake()` function.

  Parameters:
    `elementId` - The element to effect

### slideDown

    public void slideDown(java.lang.String elementId)

  Call the script.aculo.us `Effect.slideDown()` function.

  Parameters:
    `elementId` - The element to effect

### slideUp

    public void slideUp(java.lang.String elementId)

  Call the script.aculo.us `Effect.slideUp()` function.

  Parameters:
    `elementId` - The element to effect

### squish

    public void squish(java.lang.String elementId)

  Call the script.aculo.us `Effect.squish()` function.

  Parameters:
    `elementId` - The element to effect

### grow

    public void grow(java.lang.String elementId)

  Call the script.aculo.us `Effect.grow()` function.

  Parameters:
    `elementId` - The element to effect

### shrink

    public void shrink(java.lang.String elementId)

  Call the script.aculo.us `Effect.shrink()` function.

  Parameters:
    `elementId` - The element to effect

### pulsate

    public void pulsate(java.lang.String elementId)

  Call the script.aculo.us `Effect.pulsate()` function.

  Parameters:
    `elementId` - The element to effect

### fold

    public void fold(java.lang.String elementId)

  Call the script.aculo.us `Effect.fold()` function.

  Parameters:
    `elementId` - The element to effect

### highlight

    public void highlight(java.lang.String elementId)

  Call the script.aculo.us `Effect.Highlight()` function.

  Parameters:
    `elementId` - The element to effect

### highlight

    public void highlight(java.lang.String elementId,
                          java.lang.String options)

  Call the script.aculo.us `Effect.Highlight()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the fade effect, as specified at http://script.aculo.us/

### fade

    public void fade(java.lang.String elementId,
                     java.lang.String options)

  Call the script.aculo.us `Effect.Fade()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the fade effect, as specified at http://script.aculo.us/

### appear

    public void appear(java.lang.String elementId,
                       java.lang.String options)

  Call the script.aculo.us `Effect.Appear()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the appear effect, as specified at http://script.aculo.us/

### puff

    public void puff(java.lang.String elementId,
                     java.lang.String options)

  Call the script.aculo.us `Effect.Puff()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the puff effect, as specified at http://script.aculo.us/

### blindUp

    public void blindUp(java.lang.String elementId,
                        java.lang.String options)

  Call the script.aculo.us `Effect.BlindUp()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the blindup effect, as specified at http://script.aculo.us/

### blindDown

    public void blindDown(java.lang.String elementId,
                          java.lang.String options)

  Call the script.aculo.us `Effect.BlindDown()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the blinddown effect, as specified at http://script.aculo.us/

### switchOff

    public void switchOff(java.lang.String elementId,
                          java.lang.String options)

  Call the script.aculo.us `Effect.SwitchOff()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the switchf effect, as specified at http://script.aculo.us/

### dropOut

    public void dropOut(java.lang.String elementId,
                        java.lang.String options)

  Call the script.aculo.us `Effect.DropOut()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the dropout effect, as specified at http://script.aculo.us/

### shake

    public void shake(java.lang.String elementId,
                      java.lang.String options)

  Call the script.aculo.us `Effect.Shake()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the shake effect, as specified at http://script.aculo.us/

### slideDown

    public void slideDown(java.lang.String elementId,
                          java.lang.String options)

  Call the script.aculo.us `Effect.SlideDown()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the slidedown effect, as specified at http://script.aculo.us/

### slideUp

    public void slideUp(java.lang.String elementId,
                        java.lang.String options)

  Call the script.aculo.us `Effect.SlideUp()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the slideup effect, as specified at http://script.aculo.us/

### squish

    public void squish(java.lang.String elementId,
                       java.lang.String options)

  Call the script.aculo.us `Effect.Squish()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the squish effect, as specified at http://script.aculo.us/

### grow

    public void grow(java.lang.String elementId,
                     java.lang.String options)

  Call the script.aculo.us `Effect.Grow()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the grow effect, as specified at http://script.aculo.us/

### shrink

    public void shrink(java.lang.String elementId,
                       java.lang.String options)

  Call the script.aculo.us `Effect.Shrink()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the shrink effect, as specified at http://script.aculo.us/

### pulsate

    public void pulsate(java.lang.String elementId,
                        java.lang.String options)

  Call the script.aculo.us `Effect.Pulsate()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the pulsate effect, as specified at http://script.aculo.us/

### fold

    public void fold(java.lang.String elementId,
                     java.lang.String options)

  Call the script.aculo.us `Effect.Fold()` function.

  Parameters:
    `elementId` - The element to affect
    `options` - A string containing options to pass to the fold effect, as specified at http://script.aculo.us/

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD